org.apache.hadoop.mapreduce.v2.api.impl.pb.service

## Class MRClientProtocolPBServiceImpl

- java.lang.Object
- - org.apache.hadoop.mapreduce.v2.api.impl.pb.service.MRClientProtocolPBServiceImpl

- All Implemented Interfaces:
    MRClientProtocolPB, MRClientProtocol.MRClientProtocolService.BlockingInterface
  Direct Known Subclasses:
    HSClientProtocolPBServiceImpl

      public class MRClientProtocolPBServiceImpl
      extends Object
      implements MRClientProtocolPB

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MRClientProtocolPBServiceImpl(MRClientProtocol impl)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.hadoop.security.proto.SecurityProtos.CancelDelegationTokenResponseProto` | `cancelDelegationToken(com.google.protobuf.RpcController controller, org.apache.hadoop.security.proto.SecurityProtos.CancelDelegationTokenRequestProto proto)`
    `MRServiceProtos.FailTaskAttemptResponseProto` | `failTaskAttempt(com.google.protobuf.RpcController controller, MRServiceProtos.FailTaskAttemptRequestProto proto)`
    `MRServiceProtos.GetCountersResponseProto` | `getCounters(com.google.protobuf.RpcController controller, MRServiceProtos.GetCountersRequestProto proto)`
    `org.apache.hadoop.security.proto.SecurityProtos.GetDelegationTokenResponseProto` | `getDelegationToken(com.google.protobuf.RpcController controller, org.apache.hadoop.security.proto.SecurityProtos.GetDelegationTokenRequestProto proto)`
    `MRServiceProtos.GetDiagnosticsResponseProto` | `getDiagnostics(com.google.protobuf.RpcController controller, MRServiceProtos.GetDiagnosticsRequestProto proto)`
    `MRServiceProtos.GetJobReportResponseProto` | `getJobReport(com.google.protobuf.RpcController controller, MRServiceProtos.GetJobReportRequestProto proto)`
    `MRServiceProtos.GetTaskAttemptCompletionEventsResponseProto` | `getTaskAttemptCompletionEvents(com.google.protobuf.RpcController controller, MRServiceProtos.GetTaskAttemptCompletionEventsRequestProto proto)`
    `MRServiceProtos.GetTaskAttemptReportResponseProto` | `getTaskAttemptReport(com.google.protobuf.RpcController controller, MRServiceProtos.GetTaskAttemptReportRequestProto proto)`
    `MRServiceProtos.GetTaskReportResponseProto` | `getTaskReport(com.google.protobuf.RpcController controller, MRServiceProtos.GetTaskReportRequestProto proto)`
    `MRServiceProtos.GetTaskReportsResponseProto` | `getTaskReports(com.google.protobuf.RpcController controller, MRServiceProtos.GetTaskReportsRequestProto proto)`
    `MRServiceProtos.KillJobResponseProto` | `killJob(com.google.protobuf.RpcController controller, MRServiceProtos.KillJobRequestProto proto)`
    `MRServiceProtos.KillTaskResponseProto` | `killTask(com.google.protobuf.RpcController controller, MRServiceProtos.KillTaskRequestProto proto)`
    `MRServiceProtos.KillTaskAttemptResponseProto` | `killTaskAttempt(com.google.protobuf.RpcController controller, MRServiceProtos.KillTaskAttemptRequestProto proto)`
    `org.apache.hadoop.security.proto.SecurityProtos.RenewDelegationTokenResponseProto` | `renewDelegationToken(com.google.protobuf.RpcController controller, org.apache.hadoop.security.proto.SecurityProtos.RenewDelegationTokenRequestProto proto)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MRClientProtocolPBServiceImpl

          public MRClientProtocolPBServiceImpl(MRClientProtocol impl)

  - ### Method Detail

    - #### getJobReport

          public MRServiceProtos.GetJobReportResponseProto getJobReport(com.google.protobuf.RpcController controller,
                                                                        MRServiceProtos.GetJobReportRequestProto proto)
                                                                 throws com.google.protobuf.ServiceException

      Specified by:
        `getJobReport` in interface `MRClientProtocol.MRClientProtocolService.BlockingInterface`
      Throws:
        `com.google.protobuf.ServiceException`

    - #### getTaskReport

          public MRServiceProtos.GetTaskReportResponseProto getTaskReport(com.google.protobuf.RpcController controller,
                                                                          MRServiceProtos.GetTaskReportRequestProto proto)
                                                                   throws com.google.protobuf.ServiceException

      Specified by:
        `getTaskReport` in interface `MRClientProtocol.MRClientProtocolService.BlockingInterface`
      Throws:
        `com.google.protobuf.ServiceException`

    - #### getTaskAttemptReport

          public MRServiceProtos.GetTaskAttemptReportResponseProto getTaskAttemptReport(com.google.protobuf.RpcController controller,
                                                                                        MRServiceProtos.GetTaskAttemptReportRequestProto proto)
                                                                                 throws com.google.protobuf.ServiceException

      Specified by:
        `getTaskAttemptReport` in interface `MRClientProtocol.MRClientProtocolService.BlockingInterface`
      Throws:
        `com.google.protobuf.ServiceException`

    - #### getCounters

          public MRServiceProtos.GetCountersResponseProto getCounters(com.google.protobuf.RpcController controller,
                                                                      MRServiceProtos.GetCountersRequestProto proto)
                                                               throws com.google.protobuf.ServiceException

      Specified by:
        `getCounters` in interface `MRClientProtocol.MRClientProtocolService.BlockingInterface`
      Throws:
        `com.google.protobuf.ServiceException`

    - #### getTaskAttemptCompletionEvents

          public MRServiceProtos.GetTaskAttemptCompletionEventsResponseProto getTaskAttemptCompletionEvents(com.google.protobuf.RpcController controller,
                                                                                                            MRServiceProtos.GetTaskAttemptCompletionEventsRequestProto proto)
                                                                                                     throws com.google.protobuf.ServiceException

      Specified by:
        `getTaskAttemptCompletionEvents` in interface `MRClientProtocol.MRClientProtocolService.BlockingInterface`
      Throws:
        `com.google.protobuf.ServiceException`

    - #### getTaskReports

          public MRServiceProtos.GetTaskReportsResponseProto getTaskReports(com.google.protobuf.RpcController controller,
                                                                            MRServiceProtos.GetTaskReportsRequestProto proto)
                                                                     throws com.google.protobuf.ServiceException

      Specified by:
        `getTaskReports` in interface `MRClientProtocol.MRClientProtocolService.BlockingInterface`
      Throws:
        `com.google.protobuf.ServiceException`

    - #### getDiagnostics

          public MRServiceProtos.GetDiagnosticsResponseProto getDiagnostics(com.google.protobuf.RpcController controller,
                                                                            MRServiceProtos.GetDiagnosticsRequestProto proto)
                                                                     throws com.google.protobuf.ServiceException

      Specified by:
        `getDiagnostics` in interface `MRClientProtocol.MRClientProtocolService.BlockingInterface`
      Throws:
        `com.google.protobuf.ServiceException`

    - #### getDelegationToken

          public org.apache.hadoop.security.proto.SecurityProtos.GetDelegationTokenResponseProto getDelegationToken(com.google.protobuf.RpcController controller,
                                                                                                                    org.apache.hadoop.security.proto.SecurityProtos.GetDelegationTokenRequestProto proto)
                                                                                                             throws com.google.protobuf.ServiceException

      Specified by:
        `getDelegationToken` in interface `MRClientProtocol.MRClientProtocolService.BlockingInterface`
      Throws:
        `com.google.protobuf.ServiceException`

    - #### killJob

          public MRServiceProtos.KillJobResponseProto killJob(com.google.protobuf.RpcController controller,
                                                              MRServiceProtos.KillJobRequestProto proto)
                                                       throws com.google.protobuf.ServiceException

      Specified by:
        `killJob` in interface `MRClientProtocol.MRClientProtocolService.BlockingInterface`
      Throws:
        `com.google.protobuf.ServiceException`

    - #### killTask

          public MRServiceProtos.KillTaskResponseProto killTask(com.google.protobuf.RpcController controller,
                                                                MRServiceProtos.KillTaskRequestProto proto)
                                                         throws com.google.protobuf.ServiceException

      Specified by:
        `killTask` in interface `MRClientProtocol.MRClientProtocolService.BlockingInterface`
      Throws:
        `com.google.protobuf.ServiceException`

    - #### killTaskAttempt

          public MRServiceProtos.KillTaskAttemptResponseProto killTaskAttempt(com.google.protobuf.RpcController controller,
                                                                              MRServiceProtos.KillTaskAttemptRequestProto proto)
                                                                       throws com.google.protobuf.ServiceException

      Specified by:
        `killTaskAttempt` in interface `MRClientProtocol.MRClientProtocolService.BlockingInterface`
      Throws:
        `com.google.protobuf.ServiceException`

    - #### failTaskAttempt

          public MRServiceProtos.FailTaskAttemptResponseProto failTaskAttempt(com.google.protobuf.RpcController controller,
                                                                              MRServiceProtos.FailTaskAttemptRequestProto proto)
                                                                       throws com.google.protobuf.ServiceException

      Specified by:
        `failTaskAttempt` in interface `MRClientProtocol.MRClientProtocolService.BlockingInterface`
      Throws:
        `com.google.protobuf.ServiceException`

    - #### renewDelegationToken

          public org.apache.hadoop.security.proto.SecurityProtos.RenewDelegationTokenResponseProto renewDelegationToken(com.google.protobuf.RpcController controller,
                                                                                                                        org.apache.hadoop.security.proto.SecurityProtos.RenewDelegationTokenRequestProto proto)
                                                                                                                 throws com.google.protobuf.ServiceException

      Specified by:
        `renewDelegationToken` in interface `MRClientProtocol.MRClientProtocolService.BlockingInterface`
      Throws:
        `com.google.protobuf.ServiceException`

    - #### cancelDelegationToken

          public org.apache.hadoop.security.proto.SecurityProtos.CancelDelegationTokenResponseProto cancelDelegationToken(com.google.protobuf.RpcController controller,
                                                                                                                          org.apache.hadoop.security.proto.SecurityProtos.CancelDelegationTokenRequestProto proto)
                                                                                                                   throws com.google.protobuf.ServiceException

      Specified by:
        `cancelDelegationToken` in interface `MRClientProtocol.MRClientProtocolService.BlockingInterface`
      Throws:
        `com.google.protobuf.ServiceException`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.